package intrinsic.mx.graphics.codec;

public interface IImageEncoder {

	/** Accessors */
//	public String contentType;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */

/** Static Methods */

/** Methods */
public intrinsic.flash.utils.ByteArray encodeByteArray(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2);
public intrinsic.flash.utils.ByteArray encodeByteArray(intrinsic.flash.utils.ByteArray arg0, int arg1, int arg2, boolean arg3);
public intrinsic.flash.utils.ByteArray encode(intrinsic.flash.display.BitmapData arg0);

}
